Bug 4878 - backspace oddness
Summary: backspace oddness
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rxvt   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-03 07:45 UTC by Telsa Gwynne
Modified: 2017-08-25 00:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 20:11:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 1999-09-03 07:45:57 UTC
Probably the wrong heading, but I wasn't sure where this
fits. In mutt, the backspace key is mapped to 'go back a
line' when reading a message. This works fine in xterm,
nxterm and gnome-terminal. In rxvt and wterm (variant on
rxvt, found at wm.current.nu/files/wterm-6.2.6.tar.gz),
hitting it produces "key not bound". This might be mutt,
of course. (I am using mutt 0.95.5-i, slang-based.) But I
was told that this is more an xterm/rxvt thing. 'printenv'
in rxvt tells me the TERM is 'xterm', but I don't know
other settings I could try to see if this goes away. I
tried using 'delete' instead of backspace, but that didn't
work either. At the command line, they work as I'd expect
(backspace deletes the character behind, delete the one
ahead), but within mutt, no.

Comment 1 Preston Brown 1999-09-24 18:37:59 UTC
is this still happening?  I think rxvt, konsole, kvt, xterm, etc. now
all properly are sending ^? for backspace (not ^H).  However, mutt may
not understand this keysequence by default, and may need attention.

Comment 2 Bill Nottingham 1999-09-25 02:26:59 UTC
xterm & gnome-term send ^H. rxvt sends ^?.

Comment 3 Preston Brown 2000-01-18 20:11:59 UTC
fixed for next release.

Comment 4 openshift-github-bot 2017-08-25 00:04:14 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/eba4e649c10fa7760494f9bfee514e5b2c97a666
Merge pull request #5063 from bfallonf/dev_guide_links

Issue 4878 Added links to dev_guide/overview


Note You need to log in before you can comment on or make changes to this bug.